import request from '@/utils/request';

//巡视设备统计(多站)
export function getPatrolDeviceStat(params:any){
  return request({
    url: '/basedata/substation-patroldevice/getPatrolDeviceStat' ,
    method: 'get',
    params:params
  });
}
//巡视任务统计(区域)
export function getAreaTaskTodoStat(params:any){
  return request({
    url: '/patroltasks/task-todo/getAreaTaskTodoStat' ,
    method: 'get',
    params:params
  });
}

//巡视任务统计(首页按照月查询)
export function getTaskTodoStatByMonth(params:any){
  return request({
    url: '/patroltasks/task-todo/getTaskTodoStatByMonth' ,
    method: 'get',
    params:params
  });
}

//获取所有变电站(区域)
export function getAllSubstationList(params:any){
  return request({
    url: '/basedata/substation/getSubstationAll' ,
    method: 'get',
    params:params
  });
}


